/*---------------------------------------------------------------------------
Program :		LxCheckBox.h	Version 1.1
Author :		Michel Leunen
Email :		michel@leunen.com
Date :		30/05/1999
Description :	A Linux like CheckBox
//---------------------------------------------------------------------------*/
#ifndef LxCheckBoxH
#define LxCheckBoxH
//---------------------------------------------------------------------------
#include <vcl\SysUtils.hpp>
#include <vcl\Controls.hpp>
#include <vcl\Classes.hpp>
#include <vcl\Forms.hpp>
//---------------------------------------------------------------------------
class TLxCheckBox : public TGraphicControl
{
private:
	bool			FCBDown;
   TPoint		FPoints[4];
   HRGN			FRgn;
protected:
	void __fastcall Paint();
   void __fastcall Click();
   void __fastcall WMButtonUp(Messages::TWMMouse &Message);
public:
	__fastcall TLxCheckBox(TComponent* Owner);
   __fastcall ~TLxCheckBox();
__published:
   __property OnClick;
   __property bool Checked={read=FCBDown};

BEGIN_MESSAGE_MAP
   MESSAGE_HANDLER(WM_LBUTTONUP,Messages::TWMMouse,WMButtonUp)
END_MESSAGE_MAP(TGraphicControl)
};
//---------------------------------------------------------------------------
#endif
